import Balloon from '..';
import Button from '../../button';
import Input from '../../input';
import React from 'react';
import ReactDOM from 'react-dom';
const { Tooltip } = Balloon;
const innerButton = React.createElement(Button, { className: "btrigger" }, "Fill in form");
const triggerTooltip = React.createElement(Button, { style: { margin: '5px' } }, "show tooltip");
const App = () => (React.createElement("div", { className: "container nested" },
    React.createElement(Balloon, { id: "inner-a11y-balloon-1", autoFocus: true, trigger: React.createElement(Button, { type: "primary" }, "Fill in sub-form"), popupContainer: trigger => trigger.parentElement, triggerType: "click" },
        "please input your age:",
        React.createElement(Input, { placeholder: "Age", size: "small", label: "Age :", id: "balloon-input-1" }),
        React.createElement("br", null),
        React.createElement("br", null)),
    React.createElement("span", { style: { marginRight: 20 } }),
    React.createElement(Balloon, { id: "a11y-balloon", autoFocus: true, trigger: innerButton, triggerType: "click" },
        React.createElement(Balloon, { id: "inner-a11y-balloon", autoFocus: true, trigger: React.createElement(Button, { type: "primary" }, "Fill in sub-form"), popupContainer: trigger => trigger.parentElement, triggerType: "click" },
            "please input your age:",
            React.createElement(Input, { placeholder: "Age", size: "small", label: "Age :", id: "balloon-input-2" }),
            React.createElement("br", null),
            React.createElement("br", null)),
        React.createElement("br", null),
        "please input your name:",
        React.createElement(Input, { placeholder: "Name", size: "small", label: "Name :", id: "balloon-input-3" }),
        React.createElement("br", null),
        React.createElement("br", null)),
    React.createElement("span", { style: { marginRight: 20 } }),
    React.createElement(Tooltip, { trigger: triggerTooltip, id: "aria-tooltip" },
        React.createElement("p", null, "This is content for tooltip."))));
ReactDOM.render(React.createElement(App, null), document.getElementById('balloon-demo-11'));
